FAQ

On Mon, Oct 26, 2015 at 5:26 PM, David Cantrell wrote:
On Sun, Oct 25, 2015 at 10:16:02AM -0400, Shawn H Corey wrote:

If it's not a requirement, then people are going to get sloppy with it,
meaning sometimes it will break other people's code.
Supporting everything for ever is a recipe for Pain. I'd be happy for it
to be officially deprecated, for authors to be notified, for tools to
later start warning that it exists, and for support to be removed in a
few years.

For reasons Aristotle mentioned, we can't fully deprecate it until 5.14 is
the minimum supported perl (even if we can omit it in many cases today).
The toolchain gang just increased it's own absolute minimum from 5.6 to 5.8
in 2013 (and there are still a few advocates for the former). What you're
suggesting is probably going to happen around the time RHEL 6 is EOLed.

You have no idea how happy I'd be to share a $beverage with you when that
happens somewhere around 2024.

Leon

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 14 of 15 | next ›
Discussion Overview
groupmodule-authors @
categoriesperl
postedOct 6, '15 at 6:21p
activeOct 27, '15 at 3:56p
posts15
users9
websitecpan.org...

People

Translate

site design / logo © 2021 Grokbase